Value Units
Update Teams
Replaces teams linked to a value unit.
PATCH
/
v1
/
public
/
value-units
/
{id}
/
teams
Update Teams
curl --request PATCH \
--url https://api.agile-tools.io/v1/public/value-units/{id}/teams \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"teamIds": [
"f2f4be2a-4db9-4f34-8df0-f45c052f5f89",
"2f6db7d4-6e6c-4d4f-90f2-cbaac8441f7b"
]
}
'import requests
url = "https://api.agile-tools.io/v1/public/value-units/{id}/teams"
payload = { "teamIds": ["f2f4be2a-4db9-4f34-8df0-f45c052f5f89", "2f6db7d4-6e6c-4d4f-90f2-cbaac8441f7b"] }
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
teamIds: ['f2f4be2a-4db9-4f34-8df0-f45c052f5f89', '2f6db7d4-6e6c-4d4f-90f2-cbaac8441f7b']
})
};
fetch('https://api.agile-tools.io/v1/public/value-units/{id}/teams', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.agile-tools.io/v1/public/value-units/{id}/teams",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'teamIds' => [
'f2f4be2a-4db9-4f34-8df0-f45c052f5f89',
'2f6db7d4-6e6c-4d4f-90f2-cbaac8441f7b'
]
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.agile-tools.io/v1/public/value-units/{id}/teams"
payload := strings.NewReader("{\n \"teamIds\": [\n \"f2f4be2a-4db9-4f34-8df0-f45c052f5f89\",\n \"2f6db7d4-6e6c-4d4f-90f2-cbaac8441f7b\"\n ]\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("X-API-Key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api.agile-tools.io/v1/public/value-units/{id}/teams")
.header("X-API-Key", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"teamIds\": [\n \"f2f4be2a-4db9-4f34-8df0-f45c052f5f89\",\n \"2f6db7d4-6e6c-4d4f-90f2-cbaac8441f7b\"\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.agile-tools.io/v1/public/value-units/{id}/teams")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["X-API-Key"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"teamIds\": [\n \"f2f4be2a-4db9-4f34-8df0-f45c052f5f89\",\n \"2f6db7d4-6e6c-4d4f-90f2-cbaac8441f7b\"\n ]\n}"
response = http.request(request)
puts response.read_body{
"meta": {
"requestId": "170a6584-6d89-4c95-a2ff-22378cb6355d",
"timestamp": "2026-04-22T12:00:00Z"
}
}Authorizations
Owner-typed API key (ORGANIZATION, PERSON, VALUE_UNIT). Manage org-scoped lifecycle with /v1/public-api-keys; cross-org governance is restricted to /v1/sys/public-api-keys.
Path Parameters
Body
application/json
Team replacement payload for a value unit.
Team ids in the authenticated organization. Provide an empty list to clear all teams.
Response
200 - application/json
Request processed successfully
The response is of type object.
⌘I
Update Teams
curl --request PATCH \
--url https://api.agile-tools.io/v1/public/value-units/{id}/teams \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"teamIds": [
"f2f4be2a-4db9-4f34-8df0-f45c052f5f89",
"2f6db7d4-6e6c-4d4f-90f2-cbaac8441f7b"
]
}
'import requests
url = "https://api.agile-tools.io/v1/public/value-units/{id}/teams"
payload = { "teamIds": ["f2f4be2a-4db9-4f34-8df0-f45c052f5f89", "2f6db7d4-6e6c-4d4f-90f2-cbaac8441f7b"] }
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
teamIds: ['f2f4be2a-4db9-4f34-8df0-f45c052f5f89', '2f6db7d4-6e6c-4d4f-90f2-cbaac8441f7b']
})
};
fetch('https://api.agile-tools.io/v1/public/value-units/{id}/teams', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.agile-tools.io/v1/public/value-units/{id}/teams",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'teamIds' => [
'f2f4be2a-4db9-4f34-8df0-f45c052f5f89',
'2f6db7d4-6e6c-4d4f-90f2-cbaac8441f7b'
]
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.agile-tools.io/v1/public/value-units/{id}/teams"
payload := strings.NewReader("{\n \"teamIds\": [\n \"f2f4be2a-4db9-4f34-8df0-f45c052f5f89\",\n \"2f6db7d4-6e6c-4d4f-90f2-cbaac8441f7b\"\n ]\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("X-API-Key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api.agile-tools.io/v1/public/value-units/{id}/teams")
.header("X-API-Key", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"teamIds\": [\n \"f2f4be2a-4db9-4f34-8df0-f45c052f5f89\",\n \"2f6db7d4-6e6c-4d4f-90f2-cbaac8441f7b\"\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.agile-tools.io/v1/public/value-units/{id}/teams")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["X-API-Key"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"teamIds\": [\n \"f2f4be2a-4db9-4f34-8df0-f45c052f5f89\",\n \"2f6db7d4-6e6c-4d4f-90f2-cbaac8441f7b\"\n ]\n}"
response = http.request(request)
puts response.read_body{
"meta": {
"requestId": "170a6584-6d89-4c95-a2ff-22378cb6355d",
"timestamp": "2026-04-22T12:00:00Z"
}
}
